Bug 74152 - High scores don't work.
High scores don't work.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-games (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
: Triaged
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2002-09-16 20:23 EDT by James Turner
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-31 16:16:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Turner 2002-09-16 20:23:13 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
 
Description of problem: 
Choosing menu "Game" then "Scores" in any of the games with high scores 
doesn't do anything. Your high scores are presumably not added to the score 
tables. 
 
Version-Release number of selected component (if applicable): 
gnome-games-2.0.3-2 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Load up a game (eg mahjongg) 
2. On the menu choose "Game" then "Scores" 
 
 
Actual Results:  Nothing happens. This remains the case after you've played a 
game and your name should have been added to the high score table. 
 
Expected Results:  Menu option displays high score table. If you get one of 
the highest scores it should be added to the table. 
 
Additional info: 
 
Machine was upgraded to Null from Red Hat 7.3. Same problem occured in 7.3 
too. 
 
In Red Hat 7.3, in some of the games it used to say "You have the #1 score" or 
the like after every game ended, but the "Scores" menu option still didn't 
work. I've had the high score tables working in the past (Red Hat 
6.something????). 
 
If there's something wrong with the high scores files it ought to display some 
sort of error message rather than just do nothing. I've confirmed that the 
game processes do have permissions to write to the high scores files.
Comment 1 Havoc Pennington 2002-09-25 16:55:34 EDT
This should have been fixed in the final release, have to double-check.
Comment 2 Jay Turner 2003-01-09 09:08:57 EST
Most of the games look pretty good, but with gnome-games-2.1.3-3, I got the
following for Mahjongg, "/var/lib/games/mahjongg.scores: No such file or directory"
Comment 3 Havoc Pennington 2003-01-31 16:16:35 EST
Mahjongg now disables the scores menu item when there are no scores yet.

glines and mahjongg both work fine for me.

Note You need to log in before you can comment on or make changes to this bug.